Skip to content
Start here

Change status of instance

client.workflows.instances.status.edit(stringworkflowName, stringinstanceId, StatusEditParams { account_id, status, from } params, RequestOptionsoptions?): StatusEditResponse { status, timestamp }
PATCH/accounts/{account_id}/workflows/{workflow_name}/instances/{instance_id}/status

Changes the execution status of a workflow instance (e.g., pause, resume, terminate).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Scripts Write
ParametersExpand Collapse
workflowName: string
maxLength64
minLength1
instanceId: string
maxLength100
minLength1
params: StatusEditParams { account_id, status, from }
account_id: string

Path param

status: "resume" | "pause" | "terminate" | "restart"

Body param: Apply action to instance.

One of the following:
"resume"
"pause"
"terminate"
"restart"
from?: From

Body param: Step to restart from. Only applicable when status is “restart”.

name: string
maxLength256
minLength1
count?: number
exclusiveMinimum
minimum0
type?: "do" | "sleep" | "waitForEvent"
One of the following:
"do"
"sleep"
"waitForEvent"
ReturnsExpand Collapse
StatusEditResponse { status, timestamp }
status: "queued" | "running" | "paused" | 5 more
One of the following:
"queued"
"running"
"paused"
"errored"
"terminated"
"complete"
"waitingForPause"
"waiting"
timestamp: string

Accepts ISO 8601 with no timezone offsets and in UTC.

formatdate-time

Change status of instance

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.workflows.instances.status.edit('x', 'x', {
  account_id: 'account_id',
  status: 'resume',
});

console.log(response.status);
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "status": "queued",
    "timestamp": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "status": "queued",
    "timestamp": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}